package com.weaver.seconddev.sxjg.esb;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.weaver.common.base.entity.result.WeaResult;
import com.weaver.esb.api.rpc.EsbServerlessRpcRemoteInterface;
import com.weaver.seconddev.sxjg.util.NccApiUtil;
import org.springframework.stereotype.Service;

import java.util.Map;

/**
 * 工资条查询ncc
 */
@Service("payslippagequery_howe")
public class PayslipPageQuery implements EsbServerlessRpcRemoteInterface {
    @Override
    public WeaResult<Map<String, Object>> execute(Map<String, Object> params) {
        return null;
    }

    public void Test() throws Exception {
        JSONObject r1 = new JSONObject();
        JSONArray r2 = new JSONArray();
        JSONObject r3 = new JSONObject();
        r3.put("pk_psndoc","0001A2100000003FMWBU");
        r2.add(r3);
        r1.put("data",r2);

        NccApiUtil nccApiUtil = new NccApiUtil();
        nccApiUtil.init();
        String token = nccApiUtil.getToken();
        String url = nccApiUtil.getBaseUrl()+"nccloud/api/hrtrn/openAPI/payslipSync/entry";
        String rs11 = nccApiUtil.doJsonPost(url,token,r1.toJSONString());
        System.out.println(rs11);
    }
}
